Sisyphus repository
Last update: 2018-03-22 14:05:38 +0300 | SRPMs: 18247 | Sign in or Sign up
en ru uk br
ALT Linux repositories
hide window
Sisyphus: 1.1.8-alt1
p8: 1.1.7-alt1
p7: 1.1.4-alt1.qa1
t7: 1.1.4-alt1.qa1
Platform6: 1.1.4-alt1
t6: 1.1.4-alt1

Group :: System/Libraries
Source RPM: pam_script

 Main   Changelog   Spec   Patches   Sources   Download   Gear   Bugs and FR (0/0)   Repocop 

Raw spec file

%define oname pam-script
Name: pam_script
Version: 1.1.8
Release: alt1

Summary: This PAM module can invoke scripts within the PAM stack


License: GPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav at>


# Source-url:

Source: %oname-%version.tar

Requires: pam

# Automatically added by buildreq on Thu Sep 30 2010

BuildRequires: glibc-devel-static libpam-devel

PAM script module will allow you to execute scripts during authorization,
password changes and sessions. This is very handy if your current
security application has no pam support but is accessable with perl or
other scripts.

%setup -n %oname-%version

# it is strange we need it

mkdir config
%configure        --prefix=%prefix \
                --libdir=%_pam_modules_dir \
                --sysconfdir=%_sysconfdir/pam-script \

make DESTDIR=%buildroot install-man7
make DESTDIR=%buildroot install-examples
rm -f %buildroot/%_sysconfdir/pam-script/tally
rm -f %buildroot/%_sysconfdir/pam-script/logscript

%doc AUTHORS NEWS README etc/logscript etc/tally

* Sat Sep 24 2016 Vitaly Lipatov <lav at> 1.1.8-alt1
- new version 1.1.8 (with rpmrb script)

* Fri Aug 21 2015 Vitaly Lipatov <lav at> 1.1.7-alt1
- new version 1.1.7 (with rpmrb script)

* Mon Apr 15 2013 Dmitry V. Levin (QA) <qa_ldv at> 1.1.4-alt1.qa1
- NMU: rebuilt for debuginfo.

* Thu Sep 30 2010 Vitaly Lipatov <lav at> 1.1.4-alt1
- initial build for ALT Linux Sisyphus

© 2009–2018 Igor Zubkov